Bug Hunting Session
Bug 54516 - FILEOPEN DOCX: goofy lines and frames document all messed up.
Summary: FILEOPEN DOCX: goofy lines and frames document all messed up.
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX-Paragraph Writer-Page-Break
  Show dependency treegraph
 
Reported: 2012-09-04 22:26 UTC by Ivan
Modified: 2019-06-27 10:01 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Two pages on one (156.27 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-09-04 22:26 UTC, Ivan
Details
After opening file in LibreOffice (282.14 KB, image/png)
2013-12-13 05:54 UTC, surbhi.tongia
Details
Comparison between Original File and Roundtrip File (426.98 KB, image/png)
2013-12-13 06:00 UTC, surbhi.tongia
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan 2012-09-04 22:26:10 UTC
Created attachment 66643 [details]
Two pages on one
Comment 1 Jean-Baptiste Faure 2012-09-19 04:42:13 UTC
Please explain step by step what you did to encounter this problem. 
End attach the original OpenDocument file.

Best regards. JBF
Comment 2 Ivan 2012-09-19 12:54:50 UTC
hi Jean-Baptiste Faure

1. problem.docx it's original file from my bank.
2. in LO 3.6.2.1 RC1 I see only one page, but there should be two.
http://floomby.ru/s1/2EcG7 - screenshot

Sorry for my English.
Comment 3 Ivan 2013-02-22 19:04:13 UTC
FILEOPEN RTF: page breaks in otherwise empty paragraphs ignored
https://bugs.freedesktop.org/show_bug.cgi?id=48440

This bug is FILEOPEN DOCX: page breaks in otherwise empty paragraphs ignored
Comment 4 Ivan 2013-04-05 05:44:27 UTC
Problem the same problem in rtf the file of a bug closed above.
Thanks!
Comment 5 Ivan 2013-06-09 12:12:03 UTC
LibreOffice 4.1.0 beta2 (2013-06-08) =(
Comment 6 Ivan 2013-07-28 10:30:52 UTC
the bug is not fixed in
libreoffice-4-1~2013-07-26_22.16.17_LibreOfficeDev_4.1.1.0.0_Win_x86.msi
and
master~2013-07-27_22.47.00_LibreOfficeDev_4.2.0.0.alpha0_Win_x86.msi
Comment 7 Ivan 2013-11-06 14:58:38 UTC Comment hidden (obsolete)
Comment 8 surbhi.tongia 2013-12-13 05:54:51 UTC
Created attachment 90691 [details]
After opening file in LibreOffice
Comment 9 surbhi.tongia 2013-12-13 06:00:10 UTC
Created attachment 90692 [details]
Comparison between Original File and Roundtrip File
Comment 10 surbhi.tongia 2013-12-13 06:07:07 UTC
After Opening file in LibreOffice it shows one page file instead of 2 page file.
Comment 11 QA Administrators 2015-04-19 03:22:35 UTC Comment hidden (obsolete)
Comment 12 Ivan 2015-04-19 11:19:45 UTC
LibreOffice 4.4.3 RC1 - the bug isn't fixed.
Win_x86

After Opening file in LibreOffice it shows one page file instead of 2 page file.
Comment 13 QA Administrators 2016-09-20 09:33:01 UTC Comment hidden (obsolete)
Comment 14 Jean-Baptiste Faure 2016-09-25 06:44:04 UTC
Still reproducible with LO 5.2.3.0+ and current master under Ubuntu 16.04 x86-64.

Best regards. JBF
Comment 15 QA Administrators 2018-06-26 02:45:11 UTC Comment hidden (obsolete, spam)
Comment 16 Justin L 2018-07-11 15:29:50 UTC
So, this table-looking document is composed of lines and tiny textbox frames. Not surprising that no one has looked at it, and probably never will.
Comment 17 Xisco Faulí 2019-06-27 10:00:10 UTC
The document is no longer displayed in 1 page but in 2 in

Version: 6.4.0.0.alpha0+
Build ID: ea19b0c0230fcc730245ecd445c03164cb6a1d18
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

I think we can close this as RESOLVED WORKSFORME
Comment 18 Xisco Faulí 2019-06-27 10:01:09 UTC
Also fixed in

Version: 6.3.0.0.beta2+
Build ID: e17e30dceb110e780a7e7e89c2ede854d4bc38a7
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded